Groundeddocs
ReferenceAdmin

End a switched migration's grace period now; the old vectors are deleted and switching back is no longer possible (platform admins with a session; audited)

POST/v1/admin/profile-migrations/{migrationId}/finish

Path Parameters

migrationId*string
Formatuuid

Header Parameters

If-Match*string

The resource's revision, as returned in ETag (for example "3"). Missing returns 428; stale returns 412.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/profile-migrations/497f6eca-6276-4993-bfeb-53cbbbba6f08/finish" \  -H "If-Match: string"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "running",    "kb": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "teamSlug": "string",    "teamName": "string",    "fromProfile": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "toProfile": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "graceDays": 0,    "estimate": {      "documents": 0,      "passages": 0,      "tokens": 0,      "embeddingCalls": 0,      "requestsPerMinute": 0,      "minutes": 0,      "rechunk": true    },    "startedAt": "2019-08-24T14:15:22Z",    "startedBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "displayName": "string",      "email": "string"    },    "switchedAt": "2019-08-24T14:15:22Z",    "oldVectorsUntil": "2019-08-24T14:15:22Z",    "finishedAt": "2019-08-24T14:15:22Z",    "canSwitchBack": true,    "progress": {      "sources": 0,      "sourcesComplete": 0,      "documents": 0,      "done": 0,      "failed": 0,      "waiting": 0    },    "sources": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shared": true,        "state": "in_progress",        "documents": 0,        "done": 0,        "failed": 0,        "waiting": 0,        "error": "string"      }    ],    "failures": [      {        "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",        "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",        "sourceName": "string",        "title": "string",        "code": "string",        "message": "string",        "attempts": 0,        "failedAt": "2019-08-24T14:15:22Z"      }    ],    "revision": 0  }}